From 41d8458c0ff9e271c9de8ccc8d63722709f8742e Mon Sep 17 00:00:00 2001
From: "Robert A. Burks" <rburksdev@gmail.com>
Date: Sun, 17 Mar 2024 04:18:45 -0400
Subject: [PATCH 18/31] ; * Fix testing assumptions corrected with (BUG#00005)

If a local_if_set variable is unbound the notification should include
where.

* test/src/data-tests.el (data-tests-local-variable-watchers):
---
 test/src/data-tests.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/test/src/data-tests.el b/test/src/data-tests.el
index 3b2c8e26c28..3d924309c32 100644
--- a/test/src/data-tests.el
+++ b/test/src/data-tests.el
@@ -576,7 +576,7 @@ data-tests-local-variable-watchers
       (setq-default data-tests-lvar 4)
       (should-have-watch-data '(data-tests-lvar 4 set nil))
       (makunbound 'data-tests-lvar)
-      (should-have-watch-data '(data-tests-lvar nil makunbound nil))
+      (should-have-watch-data `(data-tests-lvar nil makunbound ,buf1))
       (setq data-tests-lvar 5)
       (should-have-watch-data `(data-tests-lvar 5 set ,buf1))
       (remove-variable-watcher 'data-tests-lvar collect-watch-data)
-- 
2.34.1

